How to set the preview of a Dynamic component?

Hi! I notice that as i save the dynamic components, i can visualize them from the library in different “possitions”, how can i choose this preview?

not the best option but it could works…
(save first) select the component and open ruby console and paste this, then press enter:

componentdefinition = Sketchup.active_model.selection.first.definition
componentdefinition.refresh_thumbnail
thumbnail_camera = componentdefinition.thumbnail_camera
a = Sketchup.active_model.selection.first.bounds.center
#change value 0 by a number from 0 to 7
b = Sketchup.active_model.selection.first.bounds.corner(0)
eye = b
target = a
#change X by X,Y or Z
up = Y_AXIS

camera = Sketchup::Camera.new(eye, target, up)
# Assign camera to the thumbnail's camera and refresh.
componentdefinition.thumbnail_camera = camera
componentdefinition.refresh_thumbnail

It basically consists of:
An origin b (from 0 to 7) you can change it
A target a (the center of the component)
An axis (X_AXIS, Y_AXIS, Z_AXIS) you can change it

1 Like